Index: LMDZ5/branches/testing/libf/phylmd/dyn1d/logic.h
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/dyn1d/logic.h	(revision 2298)
+++ LMDZ5/branches/testing/libf/phylmd/dyn1d/logic.h	(revision 2298)
@@ -0,0 +1,1 @@
+link ../../dyn3d/logic.h
Index: LMDZ5/branches/testing/libf/phylmd/dyn1d/mod_const_mpi.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/dyn1d/mod_const_mpi.F90	(revision 2298)
+++ LMDZ5/branches/testing/libf/phylmd/dyn1d/mod_const_mpi.F90	(revision 2298)
@@ -0,0 +1,1 @@
+link ../../dyn3d/mod_const_mpi.F90
Index: LMDZ5/branches/testing/libf/phylmd/dyn1d/mod_grid_phy_lmdz.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/dyn1d/mod_grid_phy_lmdz.F90	(revision 2298)
+++ LMDZ5/branches/testing/libf/phylmd/dyn1d/mod_grid_phy_lmdz.F90	(revision 2298)
@@ -0,0 +1,1 @@
+link ../../dynlonlat_phylonlat/mod_grid_phy_lmdz.F90
Index: LMDZ5/branches/testing/libf/phylmd/dyn1d/mod_phys_lmdz_mpi_data.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/dyn1d/mod_phys_lmdz_mpi_data.F90	(revision 2298)
+++ LMDZ5/branches/testing/libf/phylmd/dyn1d/mod_phys_lmdz_mpi_data.F90	(revision 2298)
@@ -0,0 +1,1 @@
+link ../../dynlonlat_phylonlat/mod_phys_lmdz_mpi_data.F90
Index: LMDZ5/branches/testing/libf/phylmd/dyn1d/mod_phys_lmdz_mpi_transfert.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/dyn1d/mod_phys_lmdz_mpi_transfert.F90	(revision 2298)
+++ LMDZ5/branches/testing/libf/phylmd/dyn1d/mod_phys_lmdz_mpi_transfert.F90	(revision 2298)
@@ -0,0 +1,1 @@
+link ../../dynlonlat_phylonlat/mod_phys_lmdz_mpi_transfert.F90
Index: LMDZ5/branches/testing/libf/phylmd/dyn1d/mod_phys_lmdz_omp_data.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/dyn1d/mod_phys_lmdz_omp_data.F90	(revision 2298)
+++ LMDZ5/branches/testing/libf/phylmd/dyn1d/mod_phys_lmdz_omp_data.F90	(revision 2298)
@@ -0,0 +1,1 @@
+link ../../dynlonlat_phylonlat/mod_phys_lmdz_omp_data.F90
Index: LMDZ5/branches/testing/libf/phylmd/dyn1d/mod_phys_lmdz_omp_transfert.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/dyn1d/mod_phys_lmdz_omp_transfert.F90	(revision 2298)
+++ LMDZ5/branches/testing/libf/phylmd/dyn1d/mod_phys_lmdz_omp_transfert.F90	(revision 2298)
@@ -0,0 +1,1 @@
+link ../../dynlonlat_phylonlat/mod_phys_lmdz_omp_transfert.F90
Index: LMDZ5/branches/testing/libf/phylmd/dyn1d/mod_phys_lmdz_para.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/dyn1d/mod_phys_lmdz_para.F90	(revision 2298)
+++ LMDZ5/branches/testing/libf/phylmd/dyn1d/mod_phys_lmdz_para.F90	(revision 2298)
@@ -0,0 +1,1 @@
+link ../../dynlonlat_phylonlat/mod_phys_lmdz_para.F90
Index: LMDZ5/branches/testing/libf/phylmd/dyn1d/mod_phys_lmdz_transfert_para.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/dyn1d/mod_phys_lmdz_transfert_para.F90	(revision 2298)
+++ LMDZ5/branches/testing/libf/phylmd/dyn1d/mod_phys_lmdz_transfert_para.F90	(revision 2298)
@@ -0,0 +1,1 @@
+link ../../dynlonlat_phylonlat/mod_phys_lmdz_transfert_para.F90
Index: LMDZ5/branches/testing/libf/phylmd/dyn1d/paramet.h
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/dyn1d/paramet.h	(revision 2298)
+++ LMDZ5/branches/testing/libf/phylmd/dyn1d/paramet.h	(revision 2298)
@@ -0,0 +1,1 @@
+link ../../dyn3d/paramet.h
Index: LMDZ5/branches/testing/libf/phylmd/dyn1d/q_sat.F
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/dyn1d/q_sat.F	(revision 2298)
+++ LMDZ5/branches/testing/libf/phylmd/dyn1d/q_sat.F	(revision 2298)
@@ -0,0 +1,1 @@
+link ../../dyn3d_common/q_sat.F
Index: LMDZ5/branches/testing/libf/phylmd/dyn1d/serre.h
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/dyn1d/serre.h	(revision 2298)
+++ LMDZ5/branches/testing/libf/phylmd/dyn1d/serre.h	(revision 2298)
@@ -0,0 +1,1 @@
+link ../../dyn3d_common/serre.h
Index: LMDZ5/branches/testing/libf/phylmd/dyn1d/temps.h
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/dyn1d/temps.h	(revision 2298)
+++ LMDZ5/branches/testing/libf/phylmd/dyn1d/temps.h	(revision 2298)
@@ -0,0 +1,1 @@
+link ../../dyn3d/temps.h
Index: LMDZ5/branches/testing/libf/phylmd/dyn1d/tracstoke.h
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/dyn1d/tracstoke.h	(revision 2298)
+++ LMDZ5/branches/testing/libf/phylmd/dyn1d/tracstoke.h	(revision 2298)
@@ -0,0 +1,1 @@
+link ../../dyn3d_common/tracstoke.h
Index: LMDZ5/branches/testing/libf/phylmd/dyn1d/write_field.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/dyn1d/write_field.F90	(revision 2298)
+++ LMDZ5/branches/testing/libf/phylmd/dyn1d/write_field.F90	(revision 2298)
@@ -0,0 +1,1 @@
+link ../../dyn3d_common/write_field.F90
Index: LMDZ5/branches/testing/libf/phylmd/etat0_netcdf.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/etat0_netcdf.F90	(revision 2274)
+++ LMDZ5/branches/testing/libf/phylmd/etat0_netcdf.F90	(revision 2298)
@@ -5,4 +5,5 @@
 !
 SUBROUTINE etat0_netcdf(ib, masque, phis, letat0)
+#ifndef CPP_1D
 !
 !-------------------------------------------------------------------------------
@@ -53,5 +54,5 @@
 #include "dimsoil.h"
 #include "temps.h"
-  REAL,    DIMENSION(klon)                 :: tsol, qsol
+  REAL,    DIMENSION(klon)                 :: tsol
   REAL,    DIMENSION(klon)                 :: sn, rugmer, run_off_lic_0
   REAL,    DIMENSION(iip1,jjp1)            :: orog, rugo, psol
@@ -60,6 +61,5 @@
   REAL,    DIMENSION(iip1,jjm ,llm)        :: vvent
   REAL,    DIMENSION(:,:,:,:), ALLOCATABLE :: q3d
-  REAL,    DIMENSION(klon,nbsrf)           :: qsolsrf, snsrf, evap
-  REAL,    DIMENSION(klon,nbsrf)           :: frugs, agesno
+  REAL,    DIMENSION(klon,nbsrf)           :: qsolsrf, snsrf
   REAL,    DIMENSION(klon,nsoilmx,nbsrf)   :: tsoil
 
@@ -479,12 +479,9 @@
   DO i=1,nbsrf; ftsol(:,i) = tsol; END DO
   DO i=1,nbsrf; snsrf(:,i) = sn;   END DO
-  falb1(:,is_ter) = 0.08; falb1(:,is_lic) = 0.6
-  falb1(:,is_oce) = 0.5;  falb1(:,is_sic) = 0.6
-  falb2 = falb1
 !albedo SB >>>
   falb_dir(:,is_ter,:)=0.08; falb_dir(:,is_lic,:)=0.6
   falb_dir(:,is_oce,:)=0.5;  falb_dir(:,is_sic,:)=0.6
 !albedo SB <<<
-  evap(:,:) = 0.
+  fevap(:,:) = 0.
   DO i=1,nbsrf; qsolsrf(:,i)=150.; END DO
   DO i=1,nbsrf; DO j=1,nsoilmx; tsoil(:,j,i) = tsol; END DO; END DO
@@ -494,8 +491,11 @@
   q_ancien = 0.
   agesno = 0.
-  frugs(:,is_oce) = rugmer(:)
-  frugs(:,is_ter) = MAX(1.0e-05,zstd(:)*zsig(:)/2.0)
-  frugs(:,is_lic) = MAX(1.0e-05,zstd(:)*zsig(:)/2.0)
-  frugs(:,is_sic) = 0.001
+
+  z0m(:,is_oce) = rugmer(:)
+  z0m(:,is_ter) = MAX(1.0e-05,zstd(:)*zsig(:)/2.0)
+  z0m(:,is_lic) = MAX(1.0e-05,zstd(:)*zsig(:)/2.0)
+  z0m(:,is_sic) = 0.001
+  z0h(:,:)=z0m(:,:)
+
   fder = 0.0
   clwcon = 0.0
@@ -525,5 +525,5 @@
 
   CALL fonte_neige_init(run_off_lic_0)
-  CALL pbl_surface_init( qsol, fder, snsrf, qsolsrf, evap, frugs, agesno, tsoil )
+  CALL pbl_surface_init( fder, snsrf, qsolsrf, tsoil )
   CALL phyredem( "startphy.nc" )
 
@@ -535,5 +535,6 @@
 !#endif of #ifdef CPP_EARTH
   RETURN
-
+#endif
+!#endif of ifndef CPP_1D
 END SUBROUTINE etat0_netcdf
 !
Index: LMDZ5/branches/testing/libf/phylmd/ini_histrac.h
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/ini_histrac.h	(revision 2274)
+++ LMDZ5/branches/testing/libf/phylmd/ini_histrac.h	(revision 2298)
@@ -30,5 +30,6 @@
 !----------------
      DO it = 1,nbtr
-        iiq = niadv(it+2)
+!!        iiq = niadv(it+2)                                                         ! jyg
+        iiq = niadv(it+nqo)                                                         ! jyg
 
 ! CONCENTRATIONS
Index: LMDZ5/branches/testing/libf/phylmd/init_phys_lmdz.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/init_phys_lmdz.F90	(revision 2274)
+++ LMDZ5/branches/testing/libf/phylmd/init_phys_lmdz.F90	(revision 2298)
@@ -3,6 +3,6 @@
 !
 SUBROUTINE Init_Phys_lmdz(iim,jjp1,llm,nb_proc,distrib)
-  USE mod_phys_lmdz_para
-  USE mod_grid_phy_lmdz
+  USE mod_phys_lmdz_para, ONLY: Init_phys_lmdz_para, klon_omp
+  USE mod_grid_phy_lmdz, ONLY: Init_grid_phy_lmdz, nbp_lev
   USE dimphy, ONLY : Init_dimphy
   USE infotrac, ONLY : type_trac
Index: LMDZ5/branches/testing/libf/phylmd/iotd.h
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/iotd.h	(revision 2298)
+++ LMDZ5/branches/testing/libf/phylmd/iotd.h	(revision 2298)
@@ -0,0 +1,16 @@
+!=======================================================================
+!
+!   Auteur:  F. Hourdin
+!   -------
+!
+!   Objet:
+!   ------
+!   Light interface for netcdf outputs. can be used outside LMDZ
+!
+!=======================================================================
+
+      integer imax,jmax,lmax,nid
+      INTEGER dim_coord(4)
+      real iotd_ts
+
+      common/ecritd_c/imax,jmax,lmax,nid,dim_coord,iotd_ts
Index: LMDZ5/branches/testing/libf/phylmd/iotd_ecrit.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/iotd_ecrit.F90	(revision 2298)
+++ LMDZ5/branches/testing/libf/phylmd/iotd_ecrit.F90	(revision 2298)
@@ -0,0 +1,180 @@
+      subroutine iotd_ecrit(nom,llm,titre,unite,px)
+
+
+!=======================================================================
+!
+!   Auteur:  F. Hourdin
+!   -------
+!
+!   Objet:
+!   ------
+!   Light interface for netcdf outputs. can be used outside LMDZ
+!
+!=======================================================================
+!-----------------------------------------------------------------------
+!  ----------
+!      nom  : nom de la variable a sortir (chaine de caracteres)
+!      llm  : nombre de couches
+!      titre: titre de la variable (chaine de caracteres)
+!      unite : unite de la variable (chaine de caracteres)
+!      px : variable a sortir
+!
+!=================================================================
+ 
+      implicit none
+
+! Commons
+
+#include "netcdf.inc"
+#include "iotd.h"
+
+
+! Arguments on input:
+      integer llm
+      character (len=*) :: nom,titre,unite
+      integer imjmax
+      parameter (imjmax=100000)
+      real px(imjmax*llm)
+
+! Local variables:
+
+      real*4 date
+      real*4 zx(imjmax*llm)
+
+
+      integer ierr,ndim,dim_cc(4)
+      integer iq
+      integer i,j,l
+
+      integer zitau
+      character firstnom*20
+      SAVE firstnom
+      SAVE zitau
+      SAVE date
+      data firstnom /'1234567890'/
+      data zitau /0/
+
+! Ajouts
+      integer, save :: ntime=0
+      integer :: idim,varid
+      character (len =50):: fichnom
+      integer, dimension(4) :: id
+      integer, dimension(4) :: edges,corner
+      
+
+!***************************************************************
+! Initialisation of 'firstnom' and create/open the "diagfi.nc" NetCDF file
+! ------------------------------------------------------------------------
+! (Au tout premier appel de la subroutine durant le run.)
+
+
+!--------------------------------------------------------
+! Write the variables to output file if it's time to do so
+!--------------------------------------------------------
+
+
+! Compute/write/extend 'Time' coordinate (date given in days)
+! (done every "first call" (at given time level) to writediagfi)
+! Note: date is incremented as 1 step ahead of physics time
+!--------------------------------------------------------
+
+        zx(1:imax*jmax*llm)=px(1:imax*jmax*llm)
+        if (firstnom =='1234567890') then
+            firstnom=nom
+        endif
+
+!      print*,'nom ',nom,firstnom
+
+!! Quand on tombe sur la premiere variable on ajoute un pas de temps
+        if (nom.eq.firstnom) then
+        ! We have identified a "first call" (at given date)
+
+           ntime=ntime+1 ! increment # of stored time steps
+
+!!          print*,'ntime ',ntime
+           date=ntime
+!          date= float (zitau +1)/float (day_step)
+
+           ! compute corresponding date (in days and fractions thereof)
+           ! Get NetCDF ID of 'Time' variable
+
+           ierr=NF_SYNC(nid)
+
+           ierr= NF_INQ_VARID(nid,"Time",varid)
+           ! Write (append) the new date to the 'Time' array
+
+
+           ierr= NF_PUT_VARA_REAL(nid,varid,ntime,1,date)
+
+!          print*,'date ',date,ierr,nid
+!        print*,'IOTD Date ,varid,nid,ntime,date',varid,nid,ntime,date
+
+           if (ierr.ne.NF_NOERR) then
+              write(*,*) "***** PUT_VAR matter in writediagfi_nc"
+              write(*,*) "***** with time"
+              write(*,*) 'ierr=', ierr   
+           endif
+
+!          write(6,*)'WRITEDIAGFI: date= ', date
+        end if ! of if (nom.eq.firstnom)
+
+
+!Case of a 3D variable
+!---------------------
+        if (llm==lmax) then
+           ndim=4
+           corner(1)=1
+           corner(2)=1
+           corner(3)=1
+           corner(4)=ntime
+           edges(1)=imax
+           edges(2)=jmax
+           edges(3)=llm
+           edges(4)=1
+           dim_cc=dim_coord
+
+
+!Case of a 2D variable
+!---------------------
+
+        else if (llm==1) then
+           ndim=3
+           corner(1)=1
+           corner(2)=1
+           corner(3)=ntime
+           corner(4)=1
+           edges(1)=imax
+           edges(2)=jmax
+           edges(3)=1
+           edges(4)=1
+           dim_cc(1:2)=dim_coord(1:2)
+           dim_cc(3)=dim_coord(4)
+
+        endif ! of if llm=1 ou llm
+
+! AU premier pas de temps, on crée les variables
+!-----------------------------------------------
+
+      if (ntime==1) then
+          ierr = NF_REDEF (nid)
+          ierr = NF_DEF_VAR(nid,nom,NF_FLOAT,ndim,dim_cc,varid)
+          print*,'DEF ',nom,nid,varid
+          ierr = NF_ENDDEF(nid)
+      else
+         ierr= NF_INQ_VARID(nid,nom,varid)
+          print*,'INQ ',nom,nid,varid
+! Commandes pour recuperer automatiquement les coordonnees
+!             ierr= NF_INQ_DIMID(nid,"longitude",id(1))
+      endif
+
+
+      ierr= NF_PUT_VARA_REAL(nid,varid,corner,edges,zx)
+
+      if (ierr.ne.NF_NOERR) then
+           write(*,*) "***** PUT_VAR problem in writediagfi"
+           write(*,*) "***** with ",nom
+           write(*,*) 'ierr=', ierr
+      endif 
+
+
+      end
Index: LMDZ5/branches/testing/libf/phylmd/iotd_fin.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/iotd_fin.F90	(revision 2298)
+++ LMDZ5/branches/testing/libf/phylmd/iotd_fin.F90	(revision 2298)
@@ -0,0 +1,25 @@
+      SUBROUTINE iotd_fin
+      IMPLICIT NONE
+
+!=======================================================================
+!
+!   Auteur:  F. Hourdin
+!   -------
+!
+!   Objet:
+!   ------
+!   Light interface for netcdf outputs. can be used outside LMDZ
+!
+!=======================================================================
+
+
+#include "netcdf.inc"
+#include "iotd.h"
+      integer ierr
+
+!   Arguments:
+!   ----------
+
+      ierr=NF_close(nid)
+
+      END
Index: LMDZ5/branches/testing/libf/phylmd/iotd_ini.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/iotd_ini.F90	(revision 2298)
+++ LMDZ5/branches/testing/libf/phylmd/iotd_ini.F90	(revision 2298)
@@ -0,0 +1,116 @@
+      SUBROUTINE iotd_ini(fichnom,iim,jjm,llm,prlonv,prlatu,pcoordv)
+      IMPLICIT NONE
+
+!=======================================================================
+!
+!   Auteur:  F. Hourdin
+!   -------
+!
+!   Objet:
+!   ------
+!   Light interface for netcdf outputs. can be used outside LMDZ
+!
+!=======================================================================
+!-----------------------------------------------------------------------
+!   Declarations:
+!   -------------
+
+#include "netcdf.inc"
+#include "iotd.h"
+
+!   Arguments:
+!   ----------
+
+      integer iim,jjm,llm
+      real prlonv(iim),prlatu(jjm),pcoordv(llm),timestep
+      INTEGER id_FOCE
+
+      integer corner(4),edges(4),ndim
+      real  px(1000)
+      character (len=10) :: nom
+
+!   Local:
+!   ------
+      INTEGER ierr
+
+      integer :: nvarid
+      integer, dimension(2) :: id  
+      integer :: varid
+
+      character*10 fichnom
+      real*4 rlonv(iim),rlatu(jjm),coordv(llm)
+
+      real pi
+
+      print*,'INIIO prlonv ',prlonv
+      imax=iim
+      jmax=jjm
+      lmax=llm
+
+      rlonv=prlonv
+      rlatu=prlatu
+      coordv=pcoordv
+
+!-----------------------------------------------------------------------
+
+
+      pi=2.*asin(1.)
+
+! Define dimensions
+    
+         ! Create the NetCDF file
+         ierr=NF_CREATE(fichnom, NF_CLOBBER, nid)
+         ! Define the 'Time' dimension
+         ierr=nf_def_dim(nid,"Time",NF_UNLIMITED,dim_coord(4))
+         ! Define the 'Time' variable
+         ierr=NF_DEF_VAR(nid, "Time", NF_FLOAT, 1, dim_coord(4),varid)
+!        ! Add a long_name attribute
+!        ierr=NF_PUT_ATT_TEXT(nid, varid, "long_name",4,"Time")
+!        ! Add a units attribute
+         ierr=NF_PUT_ATT_TEXT(nid, varid,'units',29,"days since 0000-00-0 00:00:00")
+         ! Switch out of NetCDF Define mode
+
+      ierr=NF_DEF_DIM(nid, "longitude", iim, dim_coord(1))
+      ierr=NF_DEF_DIM(nid, "latitude", jjm, dim_coord(2))
+      ierr=NF_DEF_DIM(nid, "altitude", llm, dim_coord(3))
+
+
+      ierr=NF_ENDDEF(nid)
+!
+!  Contol parameters for this run
+! --------------------------
+
+      ierr=NF_REDEF(nid)
+      ierr=NF_DEF_VAR(nid,"longitude", NF_FLOAT, 1, dim_coord(1),nvarid)
+!     ierr=NF_PUT_ATT_TEXT(nid,nvarid,"long_name", 14,
+!    .      "East longitude")
+!     ierr=NF_PUT_ATT_TEXT(nid,nvarid,'units',12,"degrees_east")
+      ierr=NF_ENDDEF(nid)
+      ierr=NF_PUT_VAR_REAL(nid,nvarid,rlonv)
+       print*,ierr
+
+! --------------------------
+      ierr=NF_REDEF(nid)
+      ierr=NF_DEF_VAR(nid, "latitude", NF_FLOAT, 1, dim_coord(2),nvarid)
+!     ierr=NF_PUT_ATT_TEXT(nid,nvarid,'units',13,"degrees_north")
+!     ierr=NF_PUT_ATT_TEXT(nid,nvarid,"long_name", 14,"North latitude")
+      ierr=NF_ENDDEF(nid)
+      ierr=NF_PUT_VAR_REAL(nid,nvarid,rlatu)
+!
+! --------------------------
+      ierr=NF_REDEF(nid)
+      ierr=NF_DEF_VAR(nid, "altitude", NF_FLOAT, 1,dim_coord(3),nvarid)
+      ierr=NF_PUT_ATT_TEXT(nid,nvarid,"long_name",10,"pseudo-alt")
+!     ierr=NF_PUT_ATT_TEXT(nid,nvarid,'units',2,"km")
+      if ( pcoordv(2)>pcoordv(1) ) then
+         ierr=NF_PUT_ATT_TEXT(nid,nvarid,"long_name",10,"pseudo-alt")
+         ierr=NF_PUT_ATT_TEXT(nid,nvarid,'positive',2,"up")
+      else
+         ierr=NF_PUT_ATT_TEXT(nid,nvarid,"long_name",8,"pressure")
+         ierr = NF_PUT_ATT_TEXT (nid,nvarid,'positive',4,"down")
+      endif
+      ierr=NF_ENDDEF(nid)
+
+      ierr=NF_PUT_VAR_REAL(nid,nvarid,coordv)
+!
+      END
Index: LMDZ5/branches/testing/libf/phylmd/limit_netcdf.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/limit_netcdf.F90	(revision 2274)
+++ LMDZ5/branches/testing/libf/phylmd/limit_netcdf.F90	(revision 2298)
@@ -4,4 +4,5 @@
 !
 SUBROUTINE limit_netcdf(interbar, extrap, oldice, masque)
+#ifndef CPP_1D
 !
 !-------------------------------------------------------------------------------
@@ -662,3 +663,5 @@
 ! of #ifdef CPP_EARTH
 
+#endif
+! of #ifndef CPP_1D
 END SUBROUTINE limit_netcdf
Index: LMDZ5/branches/testing/libf/phylmd/lsc_scav.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/lsc_scav.F90	(revision 2274)
+++ LMDZ5/branches/testing/libf/phylmd/lsc_scav.F90	(revision 2298)
@@ -1,5 +1,9 @@
 !$Id $
 
-SUBROUTINE lsc_scav(pdtime,it,iflag_lscav,oliq,flxr,flxs,rneb,beta_fisrt,  &
+SUBROUTINE lsc_scav(pdtime,it,iflag_lscav,  &
+!jyg<
+                    aerosol,  &
+!>jyg
+                    oliq,flxr,flxs,rneb,beta_fisrt,  &
                     beta_v1,pplay,paprs,t,tr_seri,d_tr_insc,          &
                     d_tr_bcscav,d_tr_evap,qPrls) 
@@ -37,4 +41,5 @@
   REAL,DIMENSION(klon,klev),INTENT(IN)   :: t        ! temperature
 ! tracers
+  LOGICAL,DIMENSION(nbtr), INTENT(IN)         :: aerosol
   REAL,DIMENSION(klon,klev,nbtr),INTENT(IN)   :: tr_seri        ! q de traceur  
   REAL,DIMENSION(klon,klev),INTENT(IN)        :: beta_fisrt     ! taux de conversion de l'eau cond
@@ -172,5 +177,10 @@
   ENDDO
 
-    IF (it.gt.1) THEN                               !  aerosol   
+!jyg<
+!!    IF (it.gt.1) THEN                               !  aerosol   
+!! Temporary correction: all non-aerosol tracers are dealt with in the same way.
+!! Should be updated once it has been decided how gases should be dealt with.
+    IF (aerosol(it)) THEN
+!>jyg
       frac_ev=frac_aer
     ELSE                                                !  gas
@@ -178,5 +188,8 @@
     ENDIF
 
-    IF(it.gt.1) then  ! aerosol
+!jyg<
+!!    IF (it.gt.1) THEN                               !  aerosol   
+    IF (aerosol(it)) THEN
+!>jyg
      DO k=1, klev
       DO i=1, klon 
@@ -214,5 +227,8 @@
 
 !  below-cloud impaction
-    IF(it.eq.1) then
+!jyg<
+!!    IF (it.eq.1) THEN
+    IF (.NOT.aerosol(it)) THEN
+!>jyg
       d_tr_bcscav(i,k,it)=0.
     ELSE
Index: LMDZ5/branches/testing/libf/phylmd/moy_undefSTD.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/moy_undefSTD.F90	(revision 2274)
+++ LMDZ5/branches/testing/libf/phylmd/moy_undefSTD.F90	(revision 2298)
@@ -5,8 +5,14 @@
   USE netcdf
   USE dimphy
+#ifdef CPP_IOIPSL 
   USE phys_state_var_mod
+#endif
+
   USE phys_cal_mod, ONLY: mth_len
   IMPLICIT NONE
   include "clesphys.h"
+#ifdef CPP_IOIPSL 
+  REAL :: missing_val
+#endif
 
   ! ====================================================================
@@ -51,7 +57,10 @@
   REAL un_jour
   PARAMETER (un_jour=86400.)
-  REAL missing_val
+! REAL missing_val
 
-  missing_val = nf90_fill_real
+! missing_val = nf90_fill_real
+#ifndef CPP_XIOS
+      missing_val=missing_val_nf90
+#endif
 
   DO n = 1, nout
Index: LMDZ5/branches/testing/libf/phylmd/nuage.h
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/nuage.h	(revision 2274)
+++ LMDZ5/branches/testing/libf/phylmd/nuage.h	(revision 2298)
@@ -7,4 +7,6 @@
       REAL tau_cld_cv,coefw_cld_cv
 
+      REAL tmax_fonte_cv
+
       INTEGER iflag_t_glace,iflag_cld_cv
 
@@ -12,4 +14,4 @@
      &                  t_glace_min,exposant_glace,rei_min,rei_max,     &
      &                  tau_cld_cv,coefw_cld_cv,                        &
-     &                  iflag_t_glace,iflag_cld_cv
+     &                  iflag_t_glace,iflag_cld_cv,tmax_fonte_cv
 !$OMP THREADPRIVATE(/nuagecom/)
Index: LMDZ5/branches/testing/libf/phylmd/ocean_cpl_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/ocean_cpl_mod.F90	(revision 2274)
+++ LMDZ5/branches/testing/libf/phylmd/ocean_cpl_mod.F90	(revision 2298)
@@ -46,8 +46,8 @@
        windsp, fder_old, &
        itime, dtime, knon, knindex, &
-       p1lay, cdragh, cdragm, precip_rain, precip_snow, temp_air, spechum, &
+       p1lay, cdragh, cdragq, cdragm, precip_rain, precip_snow, temp_air, spechum, &
        AcoefH, AcoefQ, BcoefH, BcoefQ, &
        AcoefU, AcoefV, BcoefU, BcoefV, &
-       ps, u1, v1, &
+       ps, u1, v1, gustiness, &
        radsol, snow, agesno, &
        qsurf, evap, fluxsens, fluxlat, flux_u1, flux_v1, &
@@ -65,4 +65,5 @@
 
     INCLUDE "YOMCST.h"
+    INCLUDE "clesphys.h"
 !    
 ! Input arguments  
@@ -77,5 +78,5 @@
     REAL, DIMENSION(klon), INTENT(IN)        :: fder_old
     REAL, DIMENSION(klon), INTENT(IN)        :: p1lay
-    REAL, DIMENSION(klon), INTENT(IN)        :: cdragh, cdragm
+    REAL, DIMENSION(klon), INTENT(IN)        :: cdragh, cdragq, cdragm
     REAL, DIMENSION(klon), INTENT(IN)        :: precip_rain, precip_snow
     REAL, DIMENSION(klon), INTENT(IN)        :: temp_air, spechum
@@ -83,5 +84,5 @@
     REAL, DIMENSION(klon), INTENT(IN)        :: AcoefU, AcoefV, BcoefU, BcoefV
     REAL, DIMENSION(klon), INTENT(IN)        :: ps
-    REAL, DIMENSION(klon), INTENT(IN)        :: u1, v1
+    REAL, DIMENSION(klon), INTENT(IN)        :: u1, v1, gustiness
 
 ! In/Output arguments
@@ -136,13 +137,13 @@
 
     CALL calcul_fluxs(knon, is_oce, dtime, &
-         tsurf_cpl, p1lay, cal, beta, cdragh, ps, &
+         tsurf_cpl, p1lay, cal, beta, cdragh, cdragq, ps, &
          precip_rain, precip_snow, snow, qsurf,  &
-         radsol, dif_grnd, temp_air, spechum, u1_lay, v1_lay, &
-         AcoefH, AcoefQ, BcoefH, BcoefQ, &
+         radsol, dif_grnd, temp_air, spechum, u1_lay, v1_lay, gustiness, &
+         f_qsat_oce,AcoefH, AcoefQ, BcoefH, BcoefQ, &
          tsurf_new, evap, fluxlat, fluxsens, dflux_s, dflux_l)
     
 ! - Flux calculation at first modele level for U and V
     CALL calcul_flux_wind(knon, dtime, &
-         u0_cpl, v0_cpl, u1, v1, cdragm, &
+         u0_cpl, v0_cpl, u1, v1, gustiness, cdragm, &
          AcoefU, AcoefV, BcoefU, BcoefV, &
          p1lay, temp_air, &
@@ -185,5 +186,5 @@
        AcoefH, AcoefQ, BcoefH, BcoefQ, &
        AcoefU, AcoefV, BcoefU, BcoefV, &
-       ps, u1, v1, pctsrf, &
+       ps, u1, v1, gustiness, pctsrf, &
        radsol, snow, qsurf, &
        alb1_new, alb2_new, evap, fluxsens, fluxlat, flux_u1, flux_v1, &
@@ -200,4 +201,5 @@
 
     INCLUDE "YOMCST.h"
+    INCLUDE "clesphys.h"
 
 ! Input arguments
@@ -219,5 +221,5 @@
     REAL, DIMENSION(klon), INTENT(IN)        :: AcoefU, AcoefV, BcoefU, BcoefV
     REAL, DIMENSION(klon), INTENT(IN)        :: ps
-    REAL, DIMENSION(klon), INTENT(IN)        :: u1, v1
+    REAL, DIMENSION(klon), INTENT(IN)        :: u1, v1, gustiness
     REAL, DIMENSION(klon,nbsrf), INTENT(IN)  :: pctsrf
 
@@ -279,8 +281,8 @@
 
     CALL calcul_fluxs(knon, is_sic, dtime, &
-         tsurf_cpl, p1lay, cal, beta, cdragh, ps, &
+         tsurf_cpl, p1lay, cal, beta, cdragh, cdragh, ps, &
          precip_rain, precip_snow, snow, qsurf,  &
-         radsol, dif_grnd, temp_air, spechum, u1_lay, v1_lay, &
-         AcoefH, AcoefQ, BcoefH, BcoefQ, &
+         radsol, dif_grnd, temp_air, spechum, u1_lay, v1_lay, gustiness, &
+         f_qsat_oce,AcoefH, AcoefQ, BcoefH, BcoefQ, &
          tsurf_new, evap, fluxlat, fluxsens, dflux_s, dflux_l)
 
@@ -288,5 +290,5 @@
 ! - Flux calculation at first modele level for U and V
     CALL calcul_flux_wind(knon, dtime, &
-         u0, v0, u1, v1, cdragm, &
+         u0, v0, u1, v1, gustiness, cdragm, &
          AcoefU, AcoefV, BcoefU, BcoefV, &
          p1lay, temp_air, &
Index: LMDZ5/branches/testing/libf/phylmd/ocean_forced_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/ocean_forced_mod.F90	(revision 2274)
+++ LMDZ5/branches/testing/libf/phylmd/ocean_forced_mod.F90	(revision 2298)
@@ -13,9 +13,9 @@
   SUBROUTINE ocean_forced_noice( &
        itime, dtime, jour, knon, knindex, &
-       p1lay, cdragh, cdragm, precip_rain, precip_snow, &
+       p1lay, cdragh, cdragq, cdragm, precip_rain, precip_snow, &
        temp_air, spechum, &
        AcoefH, AcoefQ, BcoefH, BcoefQ, &
        AcoefU, AcoefV, BcoefU, BcoefV, &
-       ps, u1, v1, &
+       ps, u1, v1, gustiness, &
        radsol, snow, agesno, & 
        qsurf, evap, fluxsens, fluxlat, flux_u1, flux_v1, &
@@ -33,4 +33,6 @@
     USE indice_sol_mod
     INCLUDE "YOMCST.h"
+    INCLUDE "clesphys.h"
+
 
 ! Input arguments
@@ -40,5 +42,5 @@
     REAL, INTENT(IN)                         :: dtime
     REAL, DIMENSION(klon), INTENT(IN)        :: p1lay
-    REAL, DIMENSION(klon), INTENT(IN)        :: cdragh, cdragm
+    REAL, DIMENSION(klon), INTENT(IN)        :: cdragh, cdragq, cdragm
     REAL, DIMENSION(klon), INTENT(IN)        :: precip_rain, precip_snow
     REAL, DIMENSION(klon), INTENT(IN)        :: temp_air, spechum
@@ -46,5 +48,5 @@
     REAL, DIMENSION(klon), INTENT(IN)        :: AcoefU, AcoefV, BcoefU, BcoefV
     REAL, DIMENSION(klon), INTENT(IN)        :: ps
-    REAL, DIMENSION(klon), INTENT(IN)        :: u1, v1
+    REAL, DIMENSION(klon), INTENT(IN)        :: u1, v1, gustiness
 
 ! In/Output arguments
@@ -109,13 +111,13 @@
 ! Calcul de tsurf_new, evap, fluxlat, fluxsens, dflux_s, dflux_l and qsurf
     CALL calcul_fluxs(knon, is_oce, dtime, &
-         tsurf_lim, p1lay, cal, beta, cdragh, ps, &
+         tsurf_lim, p1lay, cal, beta, cdragh, cdragq, ps, &
          precip_rain, precip_snow, snow, qsurf,  &
-         radsol, dif_grnd, temp_air, spechum, u1_lay, v1_lay, &
-         AcoefH, AcoefQ, BcoefH, BcoefQ, &
+         radsol, dif_grnd, temp_air, spechum, u1_lay, v1_lay, gustiness, &
+         f_qsat_oce,AcoefH, AcoefQ, BcoefH, BcoefQ, &
          tsurf_new, evap, fluxlat, fluxsens, dflux_s, dflux_l)
 
 ! - Flux calculation at first modele level for U and V
     CALL calcul_flux_wind(knon, dtime, &
-         u0, v0, u1, v1, cdragm, &
+         u0, v0, u1, v1, gustiness, cdragm, &
          AcoefU, AcoefV, BcoefU, BcoefV, &
          p1lay, temp_air, &
@@ -131,5 +133,5 @@
        AcoefH, AcoefQ, BcoefH, BcoefQ, &
        AcoefU, AcoefV, BcoefU, BcoefV, &
-       ps, u1, v1, &
+       ps, u1, v1, gustiness, &
        radsol, snow, qsol, agesno, tsoil, &
        qsurf, alb1_new, alb2_new, evap, fluxsens, fluxlat, flux_u1, flux_v1, &
@@ -165,5 +167,5 @@
     REAL, DIMENSION(klon), INTENT(IN)    :: AcoefU, AcoefV, BcoefU, BcoefV
     REAL, DIMENSION(klon), INTENT(IN)    :: ps
-    REAL, DIMENSION(klon), INTENT(IN)    :: u1, v1
+    REAL, DIMENSION(klon), INTENT(IN)    :: u1, v1, gustiness
 
 ! In/Output arguments
@@ -231,13 +233,13 @@
     v1_lay(:) = v1(:) - v0(:)
     CALL calcul_fluxs(knon, is_sic, dtime, &
-         tsurf_tmp, p1lay, cal, beta, cdragh, ps, &
+         tsurf_tmp, p1lay, cal, beta, cdragh, cdragh, ps, &
          precip_rain, precip_snow, snow, qsurf,  &
-         radsol, dif_grnd, temp_air, spechum, u1_lay, v1_lay, &
-         AcoefH, AcoefQ, BcoefH, BcoefQ, &
+         radsol, dif_grnd, temp_air, spechum, u1_lay, v1_lay, gustiness, &
+         f_qsat_oce,AcoefH, AcoefQ, BcoefH, BcoefQ, &
          tsurf_new, evap, fluxlat, fluxsens, dflux_s, dflux_l)
 
 ! - Flux calculation at first modele level for U and V
     CALL calcul_flux_wind(knon, dtime, &
-         u0, v0, u1, v1, cdragm, &
+         u0, v0, u1, v1, gustiness, cdragm, &
          AcoefU, AcoefV, BcoefU, BcoefV, &
          p1lay, temp_air, &
